在vs code中使用ss

在vscode 中安装完go语言的插件支持以后,很多依赖报错安装不成功,原因是这些依赖在go的官网上,而由于众所周知的原因,安装总是超时。

很多博客给出的解决方案是手动下载这些依赖,并安装。懒人的解决方法就是给vscode挂上飞机,获取飞机的方式请自信搜索。

在vscode中使用飞机的方式如下:

在用户设置中的应用设置中添加如下代码:

1
2
"http.proxy": "http://127.0.0.1:1080",
"http.proxyStrictSSL": false

然后重启vscode,再次安装go语言依赖就可以很顺滑的play了。